import Action from 'commons/redux/Action';

import Member from 'member/api/model/Member';

import actionTypes from './type';
import SigninPayload from '../payload/SigninPayload';


export interface Actions {
  request: (signinId: string, signinPw: string) => Action<SigninPayload>;
  requestSuccess: (member: Member) => Action<Member>;
  requestFailure: (error: Error) => Action;
}

export const actions: Actions = {
    request(signinId: string, signinPw: string): Action<SigninPayload> {
      return {
          type: actionTypes.REQUEST,
          payload: {
            signinId: signinId,
            signinPw: signinPw,
          },
        };
    },

    requestSuccess(member: Member): Action<Member> {
      return {
          type: actionTypes.REQUEST,
          payload: member,
        };
    },

    requestFailure(error: Error): Action {
      return {
          type: actionTypes.REQUEST,
          error: error,
        };
    },
};

export default actions;
