import Action from 'commons/redux/Action';

import actionTypes from './type';
import SignoutPayload from '../payload/SignoutPayload';

export interface Actions {
  request: () => Action;
  requestSuccess: () => Action;
  requestFailure: (error: Error) => Action;
}

export const actions: Actions = {
    request(): Action {
      return {
          type: actionTypes.REQUEST,
        };
    },

    requestSuccess(): Action {
      return {
          type: actionTypes.REQUEST,
        };
    },

    requestFailure(error: Error): Action {
      return {
          type: actionTypes.REQUEST,
          error: error,
        };
    },
};

export default actions;
